	$.ajaxSetup({
	    async:false
	});
	var courseObjArray = new Object;
	var tempArray;
	var urlPath;
	var pageInit = false;
	var tutoringPageInit = false;
	var eventObject = {};
	var opts = {
		  lines: 13 // The number of lines to draw
		, length: 24 // The length of each line
		, width: 14 // The line thickness
		, radius: 50 // The radius of the inner circle
		, scale: 1 // Scales overall size of the spinner
		, corners: 1 // Corner roundness (0..1)
		, color: '#000' // #rgb or #rrggbb or array of colors
		, opacity: 0.25 // Opacity of the lines
		, rotate: 0 // The rotation offset
		, direction: 1 // 1: clockwise, -1: counterclockwise
		, speed: 1 // Rounds per second
		, trail: 60 // Afterglow percentage
		, fps: 20 // Frames per second when using setTimeout() as a fallback for CSS
		, zIndex: 2e9 // The z-index (defaults to 2000000000)
		, className: 'spinner' // The CSS class to assign to the spinner
		, top: '50%' // Top position relative to parent
		, left: '50%' // Left position relative to parent
		, shadow: false // Whether to render a shadow
		, hwaccel: false // Whether to use hardware acceleration
		, position: 'absolute' // Element positioning
		}
	var spinner = new Spinner(opts);
	$(document).ready(function(){
		spinner.spin(document.body);
		$.getJSON("/js/config.json",function(array){
	        host = array.serverHost;
	    });
		$.getJSON("/js/course.json",function(objArray){
	        courseObjArray = objArray;
	    });
		urlPath = window.location.pathname ;
		getJournal();
	});
	function getJournal(){
		if(eventObject[classClndr.month._d.getTime()] == undefined){
			$.ajax({
		        type: "GET",
		        url: host+"/api/getJournalByUrl?url="+urlPath+"&date="+classClndr.month._d.getTime(),
		        dataType: "json",
				contentType: 'application/json',
		        success: function(array) {
		        	if(array.error){
		        		spinner.stop();
		        		$('#warningAlert').text(array.error);
		        		classClndr.setEvents(array);
		        		return;
		        	}
		        	if(array.length==0){
		        		spinner.stop();
		        		$('#pup-area2').show();
		        		alert("此月份無學習紀錄");
		        		classClndr.setEvents(array);
		        		$("div.calendar-day-"+moment().format("YYYY-MM-DD")).click();
		        		return;
		        	}
		        	eventObject[classClndr.month._d.getTime()] = array;
		        	classClndr.setEvents(array);
		        	if(pageInit == false){
		        		$("div.calendar-day-"+moment().format("YYYY-MM-DD")).click();
		        		pageInit = true;
		        	}
		        	else{
		        		$("div.calendar-day-"+classClndr.month.format("YYYY-MM-01")).click();
		        	}
		        	$('#pup-area2').show();
		     		$('#warningAlert').text("");
		        	spinner.stop();
		        },
		        error: function(jqXHR) {
		        }
			})
		}
		else{
			classClndr.setEvents(eventObject[classClndr.month._d.getTime()]);
        	if(pageInit == false){
        		$("div.calendar-day-"+moment().format("YYYY-MM-DD")).click();
        		pageInit = true;
        	}
        	else{
        		$("div.calendar-day-"+classClndr.month.format("YYYY-MM-01")).click();
        		spinner.stop();
        		$('#warningAlert').text("");
        	}
		}
	}

	moment.locale('zh-TW');
	var classClndr = $('#full-clndr').clndr({
	    template: $('#full-clndr-template').html(),
	    forceSixRows: true,
	    clickEvents: {
	    	click: function (target) {

	    		//moment.js object
	    		var selectDate = target.date;
	    		var totalTime = 0;
	    		var tempProduct = "";

	    		classClndr.setYear(parseInt(selectDate.format("YYYY")));
	    		classClndr.setMonth(parseInt(selectDate.format("MM")) - 1);

	    		$("div.day.calendar-day-"+selectDate.format("YYYY-MM-DD")).children().css("padding-bottom","4px");
	    		$("div.day.calendar-day-"+selectDate.format("YYYY-MM-DD")).children().css("border-bottom","2px solid #3883a3");

	    		$("#class-event-list-div").empty();

	    		if(target.events.length == 0){
	    			$("#event-listing-title").html("當日無學習紀錄")
	    		}
	    		for(var i = 0 ; i < target.events.length ; i++){
					var startTime = moment(target.events[i]['start_time']);
					var endTime = moment(target.events[i]['end_time']);
					var timeTemp = (endTime.diff(startTime, "milliseconds") * 0.001);
					totalTime += timeTemp;
					if(target.events[i]['product'] == "SC"){
						tempProduct = "高中";
					}
					else if(target.events[i]['product'] == "JC"){
						tempProduct = "國中";
					}
					else if(target.events[i]['product'] == "EC"){
						tempProduct = "國小";
					}
	    		}
	    		for(var i = 0 ; i < target.events.length ; i++){
	    			var tempCourse = "";
	    			if(courseObjArray['course'][target.events[i]['course_id']]){
	    				tempCourse = courseObjArray['course'][target.events[i]['course_id']]
	    			}
	    			$("#event-listing-title").html("總觀看時數: "+ parseInt(totalTime / 60) + " 分鐘")
    				$("#class-event-list-div").append(
    					$("<a>").html((i+1)+".").append(						
							$("<div>").html("分類: "+tempProduct).append(
								$("<div>").html("單元: "+tempCourse).append(
									$("<div>").html("開始時間: "+moment(target.events[i]['start_time']).zone('+0000').format("HH:mm")+" / 結束時間 : "+moment(target.events[i]['end_time']).zone('+0000').format("HH:mm"))
								)
							)
    					)
    				);
	    		}

	    },
	    nextMonth:function(){
	    	getJournal();
	    },
	    previousMonth:function(){
	    	getJournal();
	    },
		},
	    dateParameter: 'date',
	    showAdjacentMonths: false,
	    classes: {
	        finishEvent: "finishEvent",
	        unfinishEvent: "unfinishEvent",
	    }
	});
