$.ajaxSetup({
    async: false
});
//伺服器位置
var host;
//當前頁數
var nowPage = 1;
//拿到資料的最大頁數
var pageCount = 0;
//存取完整訂單資訊
var objArray = new Object;
//存取部分訂單資訊
var tempObjArray = new Object;
//年級array
var gradeArray = ["小學一年級", "小學二年級", "小學三年級", "小學四年級", "小學五年級", "小學六年級",
    "國中一年級", "國中二年級", "國中三年級", "高中一年級", "高中二年級", "高中三年級",
    "高職一年級", "高職二年級", "高職三年級"
];
//年級值array
var gradeValueArray = ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "10a", "11a", "12a"];
//學生程度array
var levelArray = ["A", "B", "C", "D", "F", "G"];

//搜尋按下enter鍵
$('#search').keyup(function(event) {
    event.preventDefault();
    //enter後開始搜尋
    if (event.keyCode == 13) {
        //spinner start
        spinner.spin(document.body);
        searchOrder();
    }
});
$(document).ready(function() {
    //先拿伺服器位置回來
    $.getJSON("js/config.json", function(array) {
        host = array.serverHost;
    });
    spinner.spin(document.body);
    //拿回屬於該名登入者的資料
    $.ajax({
        type: "GET",
        url: host + "/api/showIndexDataBySession",
        dataType: "json",
        contentType: 'application/json',
        success: function(response) {
            //存取並排序
            tempObjArray = [];
            tempObjArray = response;
            sortOrder();
        },
        error: function(jqXHR) {}
    })
    //上頁的按鈕
    $('#previousPage').click(function() {
        if (nowPage == 1) {
            return;
        } else {
            nowPage -= 1;
        }
        sortOrder();
    });
    //下頁的按鈕
    $('#nextPage').click(function() {
        //無條件捨去
        if (nowPage == (Math.floor(pageCount / 10) + 1)) {
            return;
        } else {
            nowPage += 1;
        }
        sortOrder();
    });
    //td disable
    $('.md-overlay').click(function() {
        $('#md-content').hide();
        $('.md-overlay').hide();
        $('#content').hide();
        var orderInfoArray = ["_id", "ParentsEmail", "ParentsName", "TelePhone",
            "CellPhone", "ProductContent", "ExpireDate", "SalesUnit", "SalesID", "StudentEmail",
            "StudentName", "StudentPhone", "School", "AfterSchool", "Grade", "StudentLevel",
            "OrderNote", "Complain", "SpeceialClass", "StudentEmail2", "StudentName2", "StudentPhone2", "School2",
            "Grade2", "SpeceialClass2", "AfterSchool2", "StudentLevel2"
        ];
        for (var i = 0; i < orderInfoArray.length; i++) {
            $('#' + orderInfoArray[i]).html("");
        }
        $("#content-tbody").html("");
        $("#content-tbody-title").html("");
        $("#content-select").html("");
        $("#content-select-2").html("");
    });
});

//增加學生欄位
function addStudent() {
    $('#studentList1').show();
    $('#studentList2').show();
    $('#studentList3').show();
    $('#addStudentBtn').hide();
    $("#Grade2").append('<option value="0">請選擇年級</option>');
    for (var i = 0; i < gradeArray.length; i++) {
        $("#Grade2").append('<option value=' + gradeValueArray[i] + '>' + gradeArray[i] + '</option>');
    }
    $("#StudentLevel2").append('<option value="">請選擇程度</option>');
    for (var i = 0; i < levelArray.length; i++) {
        $("#StudentLevel2").append('<option value=' + levelArray[i] + '>' + levelArray[i] + '</option>');
    }
}
//用SalesUnit拿取Sales資料
$('#SalesUnit').on('change', function() {
    var salesUnit = $('#SalesUnit').val();
    $('#SalesID').html('');
    $.ajax({
        type: "GET",
        url: host + "/api/getSalesInfo?SalesUnit=" + salesUnit,
        dataType: "json",
        contentType: 'application/json',
        async: false,
        success: function(response) {
            for (var i = 0; i < response.result.SalesInfo.length; i++) {
                $('#SalesID').append('<option value=' + response["result"]["SalesInfo"][i]["SalesID"] + '>' + response["result"]["SalesInfo"][i]["SalesName"] + '</option>');
            }
        },
        error: function(jqXHR) {}
    })
});
//顯示訂單資訊
function sortMDContent() {
    //先拿業務資訊
    $.ajax({
        type: "GET",
        url: host + "/api/getSalesUnit",
        dataType: "json",
        contentType: 'application/json',
        async: false,
        success: function(response) {
            for (var i = 0; i < response.result.SalesUnit.length; i++) {
                $('#SalesUnit').append('<option value=' + response.result.SalesUnit[i] + '>' + response.result.SalesUnit[i] + '</option>');
            }
            //單位拿到後再拿業務資料
            $.ajax({
                type: "GET",
                url: host + "/api/getSalesInfo?SalesUnit=" + objArray["result"]["sales"][0]["SalesUnit"],
                dataType: "json",
                contentType: 'application/json',
                async: false,
                success: function(response) {
                    for (var i = 0; i < response.result.SalesInfo.length; i++) {
                        $('#SalesID').append('<option value=' + response["result"]["SalesInfo"][i]["SalesID"] + '>' + response["result"]["SalesInfo"][i]["SalesName"] + '</option>');
                    }
                },
                error: function(jqXHR) {}
            })
        },
        error: function(jqXHR) {}
    })
    $("#Grade").append('<option value="0">請選擇年級</option>');
    for (var i = 0; i < gradeArray.length; i++) {
        $("#Grade").append('<option value=' + gradeValueArray[i] + '>' + gradeArray[i] + '</option>');
    }
    $("#StudentLevel").append('<option value="">請選擇程度</option>');
    for (var i = 0; i < levelArray.length; i++) {
        $("#StudentLevel").append('<option value=' + levelArray[i] + '>' + levelArray[i] + '</option>');
    }
    var orderInfoArray = ["BuyDate", "_id", "ExpireDate", "ProductContent", "OrderNote", "Complain",
        "ParentsEmail", "ParentsName", "TelePhone", "CellPhone",
        "StudentName", "StudentPhone", "School", "AfterSchool", "SpeceialClass"
    ];
    var temp = objArray["result"]["parents"][0]["CellPhone"];
    var parentsTempStrArray = temp.split("_");
    if (parentsTempStrArray[0] == "null") {
        objArray.result.parents[0]["CellPhone"] = "";
    }
    var temp = objArray["result"]["child"][0]["Email"];
    var childTempStrArray = temp.split("_");
    if (childTempStrArray[0] == "null") {
        objArray.result.child[0]["Email"] = "";
    }
    for (var i = 0; i < 6; i++) {
        $('#' + orderInfoArray[i]).html(objArray.result[orderInfoArray[i]]);
    }
    for (var i = 6; i < 10; i++) {
        $('#' + orderInfoArray[i]).html(objArray.result.parents[0][orderInfoArray[i]]);
    }
    for (var i = 10; i < 15; i++) {
        $('#' + orderInfoArray[i]).html(objArray.result.child[0][orderInfoArray[i]]);
    }
    $('#StudentEmail').html(objArray.result.child[0]["Email"]);
    $("#SalesUnit")[$("#SalesUnit").length - 1].value = objArray["result"]["sales"][0]["SalesUnit"];
    $("#SalesID")[$("#SalesID").length - 1].value = objArray["result"]["sales"][0]["_id"];
    $("#Grade")[$("#Grade").length - 1].value = objArray["result"]["child"][0]["Grade"];
    $("#StudentLevel")[$("#StudentLevel").length - 1].value = objArray["result"]["child"][0]["StudentLevel"];
    $("#userName").html(objArray["result"]["user"][0]["name"]);
    if (objArray["result"]["child2"].length != 0) {
        addStudent();
        var temp = objArray["result"]["child2"][0]["Email"];
        var child2TempStrArray = temp.split("_");
        if (child2TempStrArray[0] == "null") {
            objArray.result.child2[0]["Email"] = "";
        }
        for (var i = 10; i < 15; i++) {
            $('#' + orderInfoArray[i] + '2').html(objArray["result"]["child2"][0][orderInfoArray[i]]);
        }
        $("#Grade2")[$("#Grade2").length - 1].value = objArray["result"]["child2"][0]["Grade"];
        $("#StudentLevel2")[$("#StudentLevel2").length - 1].value = objArray["result"]["child2"][0]["StudentLevel"];
        $('#StudentEmail2').html(objArray["result"]["child2"][0]["Email"]);
    } else {
        $('#studentList1').hide();
        $('#studentList2').hide();
        $('#studentList3').hide();
        $('#addStudentBtn').show();
    }
    $('.md-overlay').show();
    $('#md-content').show();
    spinner.stop();
}

function searchOrder() {
    //重置頁數
    nowPage = 1;
    var query = $('#search').val();
    $.ajax({
        type: "GET",
        url: host + "/api/searchOrder?query=" + query,
        dataType: "json",
        contentType: 'application/json',
        success: function(response) {
            if (response["result"] == "") {
                spinner.stop();
                alert("查無此筆訂單");
            } else {
                $('#orderContent').html('');
                tempObjArray = [];
                tempObjArray = response;
                sortOrder();
            }
        },
        error: function(jqXHR) {}
    })
}

function sortOrder() {
    //清空
    $("#orderContent").html("");
    if (tempObjArray.result.length == 0) {
        $('#page').html('1/1');
    } else {
        $('#page').html(nowPage + '/' + (parseInt(Math.ceil(tempObjArray.result.length / 10))));
    }
    if (nowPage * 10 > tempObjArray.result.length) {
        pageCount = tempObjArray.result.length;
    } else {
        pageCount = nowPage * 10;
    }
    for (var i = ((nowPage - 1) * 10); i < pageCount; i++) {
        var tempGrade = "";
        var tempGrade2 = "";
        var tempCellPhone = "家長手機尚未填寫";
        var temp = tempObjArray["result"][i]["orderInfo"]["parents"][0]["CellPhone"];
        var tempStrArray = temp.split("_");
        if (tempStrArray[0] != "null") {
            tempCellPhone = tempObjArray["result"][i]["orderInfo"]["parents"][0]["CellPhone"];
        }
        if (tempObjArray["result"][i]["orderInfo"]["child2"].length == 0) {
            for (var j = 0; j < gradeArray.length; j++) {
                if (gradeValueArray[j] == tempObjArray["result"][i]["orderInfo"]["child"][0]["Grade"]) {
                    tempGrade = gradeArray[j];
                }
            }
            $('#orderContent').append('<tr><td>' +
                tempObjArray["result"][i]["orderInfo"]["parents"][0]["ParentsName"] + '</td><td>' +
                tempCellPhone + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["ProductContent"] + '</td><td>' +
                tempGrade + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["child"][0]["StudentName"] + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["child"][0]["StudentPhone"] + '</td><td class="journal"><img src="image/journal.png"></td><td class="tutoring"><img src="image/tutoring.png"></td><td class="info"><img src="image/info.png"></td></tr>');
        } else {
            for (var j = 0; j < gradeArray.length; j++) {
                if (gradeValueArray[j] == tempObjArray["result"][i]["orderInfo"]["child"][0]["Grade"]) {
                    tempGrade = gradeArray[j];
                }
                if (gradeValueArray[j] == tempObjArray["result"][i]["orderInfo"]["child2"][0]["Grade"]) {
                    tempGrade2 = gradeArray[j];
                }
            }
            var tempComma = ",";
            var tempName = ",";
            var tempPhone = ",";

            if (tempGrade2 == "") {
                tempComma = "";
            }
            if (tempObjArray["result"][i]["orderInfo"]["child2"][0]["StudentName"] == "") {
                tempName = "";
            }
            if (tempObjArray["result"][i]["orderInfo"]["child2"][0]["StudentPhone"] == "") {
                tempPhone = "";
            }
            $('#orderContent').append('<tr><td>' +
                tempObjArray["result"][i]["orderInfo"]["parents"][0]["ParentsName"] + '</td><td>' +
                tempCellPhone + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["ProductContent"] + '</td><td>' +
                tempGrade + tempComma + tempGrade2 + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["child"][0]["StudentName"] + tempName + tempObjArray["result"][i]["orderInfo"]["child2"][0]["StudentName"] + '</td><td>' +
                tempObjArray["result"][i]["orderInfo"]["child"][0]["StudentPhone"] + tempPhone + tempObjArray["result"][i]["orderInfo"]["child2"][0]["StudentPhone"] + '</td><td class="journal" ><img src="image/journal.png"></td><td class="tutoring"><img src="image/tutoring.png"></td><td class="info" ><img src="image/info.png"></td></tr>');
        }
    }
    spinner.stop();
    //訂單資訊
    $('.info').click(function() {
        //td show
        $('#Complain').html('');
        $('#sentBtn').show();
        spinner.spin(document.body);
        var index = $(this.parentElement.parentElement).find(".info").index(this);
        index = index + (nowPage - 1) * 10;
        $.ajax({
            type: "GET",
            url: host + "/api/getOrderInfo?query=" + tempObjArray["result"][index]["orderInfo"]["_id"],
            dataType: "json",
            contentType: 'application/json',
            success: function(response) {
                objArray = [];
                objArray = response;
                sortMDContent();
            },
            error: function(jqXHR) {}
        })
    });
    //輔導紀錄
    $('.tutoring').click(function() {
        var index = $(this.parentElement.parentElement).find('.tutoring').index(this);
        index = index + (nowPage - 1) * 10;
        if (tempObjArray["result"][index]["orderInfo"]["RemindWeek"] != "") {
            $("#content-select-1")[$("#content-select-1").length - 1].value = tempObjArray["result"][index]["orderInfo"]["RemindWeek"];
        }
        $("#content-select").html("");
        $("#content-select").show();
        $("#content-select-2").hide("");
        $('#content-tbody').html("");
        $('#content-tbody-title').html("");
        $('#content-title').html("");
        $('.md-overlay').show();
        $('#content').show();
        $('#sentBtn').hide();
        $('#content-select-1').show();
        $('#content-title').html('輔導紀錄');
        $('#content-tbody-title').append('<tr><th>學生姓名</th><th>學生信箱</th><th>內部輔導紀錄</th><th>外部輔導紀錄</th><th></th></tr><tr><td id="stu_Name"></td><td id="stu_email"></td><td><textarea id="tutoringInfoInside"></textarea></td><td><textarea id="tutoringInfoOutside"></textarea></td><td><button id="submitTutoring" style="font-szie:24px;">新增</button></td></tr>');
        $('#content-tbody-title').append('<tr><th>學生姓名</th><th>學生信箱</th><th>內部輔導紀錄</th><th>外部輔導紀錄</th><th>編輯</th></tr>');
        var temp = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
        var tempStrArray = temp.split("_");
        var tempEmail = "";
        if (tempStrArray[0] != "null") {
            tempEmail = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
        }
        if (tempObjArray["result"][index]["orderInfo"]["child2"].length == 0) {
            $('#content-select').append('<option value=' + tempEmail + '>' + tempObjArray["result"][index]["orderInfo"]["child"][0]["StudentName"] + '</option>')
        } else {
            var temp = tempObjArray["result"][index]["orderInfo"]["child2"][0]["Email"];
            var tempStrArray = temp.split("_");
            var tempEmail2 = "";
            if (tempStrArray[0] != "null") {
                tempEmail2 = tempObjArray["result"][index]["orderInfo"]["child2"][0]["Email"];
            }
            $('#content-select').append('<option value=' + tempEmail + '>' + tempObjArray["result"][index]["orderInfo"]["child"][0]["StudentName"] + '</option>')
            $('#content-select').append('<option value=' + tempEmail2 + '>' + tempObjArray["result"][index]["orderInfo"]["child2"][0]["StudentName"] + '</option>')
        }
        $('#stu_Name').html($('#content-select :selected').text());
        $('#stu_email').html($('#content-select :selected').val());
        var user_email = $('#content-select').val();
        $.ajax({
            type: "GET",
            url: host + "/api/getTutorings?email=" + user_email,
            dataType: "json",
            success: function(array) {
                if (array.error) {
                    alert(array.error);
                    return;
                } else if (array == "請先至系統新增學生信箱") {
                    return;
                } else {
                    for (var i = 0; i < array.length; i++) {
                        var tempStr = "";
                        if (array[i].detail_for_parent == null) {
                            tempStr = "";
                        } else {
                            tempStr = array[i].detail_for_parent;
                        }
                        $('#content-tbody').append('<tr><td>' + array[i].user_name + '</td><td>' + array[i].user_email + '</td><td class="tutoringDetail">' + array[i].detail + '</td><td class="tutoringDetailOutside">' + tempStr + '</td><td style="width:5%;"><img style="width:100%;cursor:pointer;" src="./image/edit.png" class="tutoring-btn"></td></tr>');
                    }
                    $('.tutoring-btn').click(function() {
                        if (updateDetail == "" || updateDetailforParent == "") {
                            return;
                        }
                        if (this.save == true) {
                            var updateDetail = $(this.parentElement.parentElement).find(".tutoringDetail")[0].children[0].value;
                            var updateDetailforParent = $(this.parentElement.parentElement).find(".tutoringDetailOutside")[0].children[0].value;
                            var tempbtn = this;
                            var btnIndex = $('.tutoring-btn').index(this);
                            var stu_email = array[btnIndex].user_email;
                            $.ajax({
                                type: "POST",
                                url: host + "/api/putTutorings",
                                dataType: "json",
                                data: JSON.stringify({
                                    'id': array[btnIndex].id,
                                    'user_email': stu_email,
                                    'detail': updateDetail,
                                    'detail_for_parent': updateDetailforParent
                                }),
                                success: function(result) {
                                    if (result == "") {
                                        alert("完成更新");
                                        $.ajax({
                                            type: "GET",
                                            url: host + "/api/getTutorings?email=" + user_email,
                                            dataType: "json",
                                            success: function(array) {
                                                if (array.error) {
                                                    alert(array.error);
                                                    return;
                                                } else {
                                                    $('#content-tbody').html('');
                                                    for (var i = 0; i < array.length; i++) {
                                                        var tempStr = "";
                                                        if (array[i].detail_for_parent == null) {
                                                            tempStr = "";
                                                        } else {
                                                            tempStr = array[i].detail_for_parent;
                                                        }
                                                        $('#content-tbody').append('<tr><td>' + array[i].user_name + '</td><td>' + array[i].user_email + '</td><td class="tutoringDetail">' + array[i].detail + '</td><td class="tutoringDetailOutside">' + tempStr + '</td><td style="width:5%;"><img style="width:100%;cursor:pointer;" src="./image/edit.png" class="tutoring-btn"></td></tr>');
                                                    }
                                                }
                                            },
                                            error: function(jqXHR) {}
                                        })
                                    }
                                },
                                error: function(jqXHR) {
                                    alert(jqXHR);
                                }
                            })
                        } else {
                            this.save = true;
                            var btnIndex = $('.tutoring-btn').index(this);
                            var tempStr = "";
                            if (array[btnIndex].detail_for_parent == null) {
                                tempStr = "";
                            } else {
                                tempStr = array[btnIndex].detail_for_parent;
                            }
                            $($('.tutoring-btn')[btnIndex]).attr('src', './image/check.png');
                            $($('.tutoringDetail')[btnIndex]).html('<textarea>' + array[btnIndex].detail + '</textarea>');
                            $($('.tutoringDetailOutside')[btnIndex]).html('<textarea>' + tempStr + '</textarea>');

                        }
                    });
                    spinner.stop();
                    $('#showTutoring').fadeIn('slow');
                }
            },
            error: function(jqXHR) {}
        })
        $('#content-select-1').on("change", function() {
            var selectedWeek = $('#content-select-1').val();
            var remindDate;
            if (selectedWeek == 1) {
                remindDate = moment().add(7, 'days').calendar();
            }
            if (selectedWeek == 2) {
                remindDate = moment().add(14, 'days').calendar();
            }
            if (selectedWeek == 3) {
                remindDate = moment().add(21, 'days').calendar();
            }
            if (selectedWeek == 4) {
                remindDate = moment().add(28, 'days').calendar();
            }
            $.ajax({
                type: "POST",
                url: host + "/api/setRemindDate",
                dataType: "json",
                data: JSON.stringify({
                    '_id': tempObjArray["result"][index]["orderInfo"]["_id"],
                    'RemindDate': remindDate,
                    'RemindWeek': selectedWeek
                }),
                success: function(response) {
                    if (response["result"] == "Success") {
                        tempObjArray["result"][index]["orderInfo"]["RemindWeek"] = selectedWeek;
                        alert("更新完成");
                    } else {
                        alert(response["result"]);
                    }
                },
                error: function(jqXHR) {}
            })
        });
        $('#submitTutoring').on('click', function() {
            var detail = $('#tutoringInfoInside').val();
            var detail_for_parent = $('#tutoringInfoOutside').val();
            if (detail == "" || detail_for_parent == "") {
                alert("請輸入輔導紀錄");
                return;
            }
            var student_name = $('#content-select :selected').text();
            var student_email = $('#content-select :selected').val();
            $.ajax({
                type: "POST",
                url: host + "/api/postTutorings",
                dataType: "json",
                data: JSON.stringify({
                    'user_email': student_email,
                    'user_name': student_name,
                    'detail': detail,
                    'detail_for_parent': detail_for_parent
                }),
                success: function(result) {
                    if (result.length == 0) {
                        $('#tutoringInfoInside').val('');
                        $('#tutoringInfoOutside').val('');
                        $.ajax({
                            type: "GET",
                            url: host + "/api/getTutorings?email=" + user_email,
                            dataType: "json",
                            success: function(array) {
                                if (array.error) {
                                    alert(array.error);
                                    return;
                                } else {
                                    $('#content-tbody').html('');
                                    for (var i = 0; i < array.length; i++) {
                                        var tempStr = "";
                                        if (array[i].detail_for_parent == null) {
                                            tempStr = "";
                                        } else {
                                            tempStr = array[i].detail_for_parent;
                                        }
                                        $('#content-tbody').append('<tr><td>' + array[i].user_name + '</td><td>' + array[i].user_email + '</td><td class="tutoringDetail">' + array[i].detail + '</td><td class="tutoringDetailOutside">' + tempStr + '</td><td style="width:5%;"><img style="width:100%;cursor:pointer;" src="./image/edit.png" class="tutoring-btn"></td></tr>');
                                    }
                                }
                            },
                            error: function(jqXHR) {}
                        })
                    } else {
                        alert(result);
                    }
                },
                error: function(jqXHR) {
                    alert(jqXHR);
                }
            })
        });
        $('#content-select').on("change", function() {
            var user_email = $('#content-select :selected').val();
            $.ajax({
                type: "GET",
                url: host + "/api/getTutorings?email=" + user_email,
                dataType: "json",
                success: function(array) {
                    if (array.error) {
                        alert(array.error);
                        return;
                    } else if (array == "請先至系統新增學生信箱") {
                        $('#content-tbody').html('');
                        alert(array);
                        return;
                    } else {
                        $('#content-tbody').html('');
                        $('#stu_Name').html($('#content-select :selected').text());
                        $('#stu_email').html($('#content-select :selected').val());
                        for (var i = 0; i < array.length; i++) {
                            var tempStr = "";
                            if (array[i].detail_for_parent == null) {
                                tempStr = "";
                            } else {
                                tempStr = array[i].detail_for_parent;
                            }
                            $('#content-tbody').append('<tr><td>' + array[i].user_name + '</td><td>' + array[i].user_email + '</td><td class="tutoringDetail">' + array[i].detail + '</td><td class="tutoringDetailOutside">' + tempStr + '</td><td style="width:5%;"><img style="width:100%;cursor:pointer;" src="./image/edit.png" class="tutoring-btn"></td></tr>');
                        }
                    }
                },
                error: function(jqXHR) {}
            })
        });
    });
    $('.journal').on('click', function() {
        $("#content-select").hide();
        $('#content-tbody').html("");
        $('#content-tbody-title').html("");
        $('#content-title').html("");
        $('#content-select-2').show();
        var index = $(this.parentElement.parentElement).find('.journal').index(this);
        var temp = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
        var tempStrArray = temp.split("_");
        var tempEmail = "";
        if (tempStrArray[0] != "null") {
            tempEmail = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
        }
        $.ajax({
            type: "GET",
            url: host + "/api/getJournalWebUrl?email=" + tempEmail,
            dataType: "json",
            success: function(response) {
                if (response["result"] == undefined) {
                    $('#content').show();
                    spinner.spin(document.body);
                    $('#content-tbody').html('<iframe style="width:100%;position: absolute;height:100%;" src =' + response + '></iframe>');
                    $('.md-overlay').show();
                    $('#sentBtn').hide();
                    $('#content-select-1').hide();
                    var temp = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
                    var tempStrArray = temp.split("_");
                    var tempEmail = "";
                    if (tempStrArray[0] != "null") {
                        tempEmail = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
                    }
                    if (tempObjArray["result"][index]["orderInfo"]["child2"].length == 0) {
                        $('#content-select-2').append('<option value=' + tempEmail + '>' + tempObjArray["result"][index]["orderInfo"]["child"][0]["StudentName"] + '</option>')
                    } else {
                        var temp = tempObjArray["result"][index]["orderInfo"]["child2"][0]["Email"];
                        var tempEmail2 = "";
                        if (tempStrArray[0] != "null") {
                            tempEmail2 = tempObjArray["result"][index]["orderInfo"]["child2"][0]["Email"];
                        }
                        $('#content-select-2').append('<option value=' + tempEmail + '>' + tempObjArray["result"][index]["orderInfo"]["child"][0]["StudentName"] + '</option>')
                        $('#content-select-2').append('<option value=' + tempEmail2 + '>' + tempObjArray["result"][index]["orderInfo"]["child2"][0]["StudentName"] + '</option>')
                    }
                    spinner.stop();
                } else {
                    alert(response["result"]);
                }
            },
            error: function(jqXHR) {}
        })
        $('#content-select-2').on('change', function() {
            var email = $('#content-select-2').val();
            var tempStrArray = email.split("_");
            var tempEmail = "";
            if (tempStrArray[0] != "null") {
                tempEmail = tempObjArray["result"][index]["orderInfo"]["child"][0]["Email"];
            }
            $.ajax({
                type: "GET",
                url: host + "/api/getJournalWebUrl?email=" + tempEmail,
                dataType: "json",
                success: function(response) {
                    if (response["result"] == undefined) {
                        $('#content-tbody').html("");
                        $('#content-tbody').html('<iframe style="width:100%;position: absolute;height:100%;" src =' + response + '></iframe>');
                    } else {
                        alert(response["result"]);
                        $('#content-tbody').html("");
                    }
                },
                error: function(jqXHR) {}
            })
        });
    });
}

//拿取並送出學生資料
$("#sentBtn").click(function() {
    //欄位資料表
    var orderInfoArray = ["_id", "ParentsEmail", "ParentsName", "TelePhone",
        "CellPhone", "ProductContent", "ExpireDate", "SalesUnit", "SalesID", "StudentEmail",
        "StudentName", "StudentPhone", "School", "AfterSchool", "Grade", "StudentLevel",
        "OrderNote", "Complain", "SpeceialClass", "StudentEmail2", "StudentName2", "StudentPhone2", "School2",
        "Grade2", "SpeceialClass2", "AfterSchool2", "StudentLevel2"
    ];
    var getStudentStaus = $('#studentList1').css("display");
    if (getStudentStaus == "none") {
        orderInfoArray.splice(19, 8);
    }
    var orderDataObject = new Object();
    for (var i = 1; i < orderInfoArray.length; i++) {
        orderDataObject[orderInfoArray[i]] = $('#' + orderInfoArray[i]).val();
    }
    orderDataObject[orderInfoArray[0]] = $('#_id').val();
    $.ajax({
        type: "POST",
        url: host + "/api/updateData",
        dataType: "json",
        data: JSON.stringify(orderDataObject),
        success: function(response) {
            if (response["result"] == "Success") {
                alert("更新完成");
                location.href = "index.html";
            } else {
                alert(response["result"]);
            }
        },
        error: function(jqXHR) {}
    })
});