$.ajaxSetup({
    async:false
});
var host;
//當前頁數
var nowPage = 1;
//拿到資料的最大頁數
var pageCount = 0;
//存取資料ObjectArray
var objArray = new Object;
//老師資料
var teacherObjArray = new Object;
//年級array
var gradeArray = ["小學一年級", "小學二年級", "小學三年級", "小學四年級", "小學五年級", "小學六年級",
    "國中一年級", "國中二年級", "國中三年級", "高中一年級", "高中二年級", "高中三年級",
    "高職一年級", "高職二年級", "高職三年級"
];
//年級值array
var gradeValueArray = ["1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "10a", "11a", "12a"];

//搜尋按下enter鍵
$('#search').keyup(function(event) {
    event.preventDefault();
    //enter後開始搜尋
    if (event.keyCode == 13) {
        //spinner start
        spinner.spin(document.body);
        searchOrder();
    }
});

$(document).ready(function() {
    $.getJSON("js/config.json",function(array){
        host = array.serverHost;
    });
    //拿取老師資料回來
    $.ajax({
        type: "GET",
        url: host+"/api/getUserInfo",
        dataType: "json",
        contentType: 'application/json',
        success: function(response) {
            teacherObjArray = [];
            teacherObjArray = response;
        },
        error: function(jxHRQ) {}
    })
    //抓沒有老師的訂單
    spinner.spin(document.body);
    $.ajax({
        type: "GET",
        url: host+"/api/searchOrder?query=",
        dataType: "json",
        contentType: 'application/json',
        success: function(response) {
            if (response["result"] == "") {
                spinner.stop();
                $('#page').html('1/1');
            } else {
                //存取並顯示
                objArray = [];
                objArray = response;
                sortOrder();
            }
        },
        error: function(jxHRQ) {}
    })
    //上頁的按鈕
    $('#previousPage').click(function() {
        if (nowPage == 1) {
            return;
        } else {
            nowPage -= 1;
        }
        sortOrder();
    });
    //下頁的按鈕
    $('#nextPage').click(function() {
        //無條件捨去
        if (nowPage == (Math.floor(pageCount / 10) + 1)) {
            return;
        } else {
            nowPage += 1;
        }
        sortOrder();
    });
});

function searchOrder() {
    //重置目前頁數
    nowPage = 1;
    //搜尋字串
    var query = $('#search').val();
    //搜尋
    $.ajax({
        type: "GET",
        url: host+"/api/searchOrder?query=" + query,
        dataType: "json",
        contentType: 'application/json',
        success: function(response) {
            if (response["result"] == "") {
                spinner.stop();
                alert("查無此筆訂單");
            } else {
                //存取並顯示
                objArray = [];
                objArray = response;
                sortOrder();
            }
        },
        error: function(jxHRQ) {}
    })
}

function sortOrder() {
    //清掉
    $("#orderContent").html("");
    if (objArray.result.length == 0) {
    	$('#page').html('1/1');
    } else {
        $('#page').html(nowPage + '/' + (parseInt(Math.ceil(objArray.result.length / 10))));
    }
    //算每頁顯示最終的長度（最後一頁）
    if (nowPage * 10 > objArray.result.length) {
        pageCount = objArray.result.length;
    } else {
        //每頁顯示十筆
        pageCount = nowPage * 10;
    }
    //先創select
    var tempSelect = $('<select>').attr('class', 'teacher').append('<option value="">請選擇老師</option>');
    //將老師放入select內
    for (var i = 0; i < teacherObjArray.result.userInfo.length; i++) {
        tempSelect.append('<option value=' + teacherObjArray["result"]["userInfo"][i]["_id"] + '>' + teacherObjArray["result"]["userInfo"][i]["name"] + '</option>');
    }
    //依據目前頁數顯示資料
    for (var i = ((nowPage - 1) * 10); i < pageCount; i++) {
        var tempGrade = "";
        var tempGrade2 = "";
        var tempCellPhone = "家長手機尚未填寫";
        var temp = objArray["result"][i]["orderInfo"]["parents"][0]["CellPhone"];
        var tempStrArray = temp.split("_");
        if (tempStrArray[0] != "null") {
            tempCellPhone = objArray["result"][i]["orderInfo"]["parents"][0]["CellPhone"];
        }
        if (objArray["result"][i]["orderInfo"]["child2"].length == 0) {
            for(var j = 0 ; j < gradeArray.length ; j++){
                if(gradeValueArray[j] == objArray["result"][i]["orderInfo"]["child"][0]["Grade"]){
                    tempGrade = gradeArray[j];
                }
            }
            $('#orderContent').append('<tr><td>' +
                objArray["result"][i]["orderInfo"]["parents"][0]["ParentsName"] + '</td><td>' +
                tempCellPhone + '</td><td>' +
                objArray["result"][i]["orderInfo"]["ProductContent"] + '</td><td>' +
                tempGrade +
                '<td>' + tempSelect[0].outerHTML + '</td>');
        } else {
            for(var j = 0 ; j < gradeArray.length ; j++){
                if(gradeValueArray[j] == objArray["result"][i]["orderInfo"]["child"][0]["Grade"]){
                    tempGrade = gradeArray[j];
                }
                if(gradeValueArray[j] == objArray["result"][i]["orderInfo"]["child2"][0]["Grade"]){
                    tempGrade2 = gradeArray[j];
                }
            }
            $('#orderContent').append('<tr><td>' +
                objArray["result"][i]["orderInfo"]["parents"][0]["ParentsName"] + '</td><td>' +
                tempCellPhone + '</td><td>' +
                objArray["result"][i]["orderInfo"]["ProductContent"] + '</td><td>' +
                tempGrade + ',' + tempGrade2 +
                '<td>' + tempSelect[0].outerHTML + '</td>');
        }
        //如果抓取回來的老師不為0則直接先選擇該名老師
        if (objArray["result"][i]["orderInfo"]["user"].length != 0)
            $(".teacher")[$(".teacher").length - 1].value = objArray["result"][i]["orderInfo"]["user"][0]["_id"];
        else
            $(".teacher")[$(".teacher").length - 1].value = "";
    }
    $(".teacher").change(function(){
    	spinner.spin(document.body);
    	var index = $('.teacher').index(this);
    	var user = $(this).val();
    	$.ajax({
	        type: "POST",
	        url: host+"/api/updateOrderUser",
	        dataType: "json",
	        contentType: 'application/json',
	        data: JSON.stringify({_id:objArray["result"][index]["orderInfo"]["_id"],UserID:user}),
	        success: function(response) {
	            if (response["result"] == "Success") {
	                objArray.result.splice(index,1);
	                sortOrder();
	               	spinner.stop();
	            } else {
	            	alert(response);
	            }
	        },
	        error: function(jxHRQ) {}
	    })

	})
    //做完stop spinner
    spinner.stop();
}